Subject: Re: [secdir] secdir review of Re: I-D Action: draft-ietf-ntp-extension-field-05.txt

From: Sean Turner <[email-masked]>
Date: Wed, 20 Jan 2016 11:28:39 -0500

Status: ready for launch

Version 6 introduced additional text for the security considerations section, which I like.

spt

> On Nov 02, 2015, at 03:52, Sean Turner <[email-masked]> wrote:
> 
> This version addresses my main concerns.
> 
> Not sure what you’re going to do with this though, but I guess that another draft’s problem:
> 
>> On Sep 17, 2015, at 02:02, Danny Mayer <[email-masked]> wrote:
>> 
>> We probably need to update the dgest field in RFC5905 to make it clear
>> that it can have multiple lengths depending on the algorithm used. On
>> the other hand I would prefer to get rid of the MAC and turn it into an
>> extension field, assuming that the NTS/CMS scheme is not used. The
>> advantages of that is obvious especially as no guessing would be
>> required and we could specify the algorithm to use and you could have
>> multiple MAC extension fields that would cover different parts of the
>> packet.
> 
> spt